Skip to content
Docs

Sign up

POST
/api/auth/sign-up/email

Makes the account and a first workspace for it, then signs in (sets the session cookie).

Request Body

application/json
  1. body
name*string
Length1 <= length
email*string
Match^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
password*string
Length8 <= length

Response Body

The new account and its session token.

Example Request
curl -X POST 'https://app.useroster.work/api/auth/sign-up/email' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "email": "user@example.com",  "password": "stringst"}'
Example Response
Empty